=== debian/changelog ===
dahdi-linux (1:2.6.1+dfsg2-1) unstable; urgency=low

  * Patch fix_define_dev: fix building with kernel 3.8.
  * Remove non-free FPGA bitfiles and patch drivers to load them
    (Closes: #693666) (Ben Hutchings).
  * Patch fix_xpp_usermode: fixes odd xpp behaviour with later kernels.
  * Patch fix_xpp_post_unregister: fixes a crash with manual
    'dahdi_registration off'.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 30 Jan 2013 00:18:38 +0200

dahdi-linux (1:2.6.1+dfsg-1) unstable; urgency=low

  * New upstream release candidate:
    - Patch xpp_fix_2fxs6fxo removed: merged upstream.
    - Patch oslec_auto removed: merged upstream.
  * Removed all EXTRA_* build variables:
    - wcopenpci builds on big-endial (sort of).
    - All other logic is set through Kbuild.
  * Don't strip.

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 23 Apr 2012 11:05:30 +0300
