=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,7 @@
 DEBVERSION:=$(shell head -n 1 debian/changelog \
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9~.a-z]*$$//')
-UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/[~+]dfsg\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')
-
-# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
-CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
+UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/[~+]dfsg[0-9]*\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')
 
 UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
 FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
@@ -39,15 +36,6 @@
 # around problems with bilding stuff with HOSTCC by simply providing 
 # the generated headers as part of the source:
 GENERATED_SOURCES := include/dahdi/version.h
-
-EXTRA_MODS=dahdi_echocan_oslec
-EXTRA_SUBDIRS = ap400 opvxa1200 opvxd115 zaphfc ../staging/echo
-
-ifneq (,$(filter-out powerpc m68k armeb mips,$(shell dpkg-architecture -qDEB_HOST_ARCH)))
-EXTRA_MODS += wcopenpci
-endif
-
-MOD_ARGS=MODULES_EXTRA="$(EXTRA_MODS)" SUBDIRS_EXTRA="$(EXTRA_SUBDIRS)"
 
 %:
 	dh $@
@@ -61,13 +49,12 @@
 	dh_testroot
 	dh_prep
 	#cp -a $(CURDIR)/debian/generated/* .
-	make $(MOD_ARGS) modules KERNEL_SOURCES=$(KSRC) MODVERSIONS=detect KERNEL=linux-$(KVERS) 
-	make $(MOD_ARGS) install-modules KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME)
-ifeq (2.6,$(shell echo $(KVERS) | cut -d. -f1-2))
-	# The 2.6 modules are way too big. This is only in kernel 2.6
-	find debian/$(PKGNAME)/lib/modules -name '*.ko' |xargs strip -g
+	make modules KERNEL_SOURCES=$(KSRC) MODVERSIONS=detect KERNEL=linux-$(KVERS) 
+	make install-modules KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME)
+	# The modules are way too big. This is only in kernel 2.6
+	# (Removed for now: breaks cross-building)
+	#find debian/$(PKGNAME)/lib/modules -name '*.ko' |xargs strip -g
 	$(RM) -f debian/$(PKGNAME)/lib/modules/$(KVERS)/modules.*
-endif
 	dh_installmodules
 	dh_installdebconf
 	dh_installdocs
@@ -82,20 +69,10 @@
 ## END OF M-A SECTION
 
 override_dh_auto_build:
-
-	# For DKMS
-	sed -e "s|#CVERSION#|$(CVERSION)|"   \
-		debian/dkms.conf.in > debian/dkms.conf
-	sed -e "s|#CVERSION#|$(CVERSION)|"   \
-		debian/dahdi-dkms.install.in > debian/dahdi-dkms.install
-
 	$(MAKE) docs
 	$(MAKE) $(GENERATED_SOURCES)
 
 override_dh_auto_clean:
-	#Delete the generated dkms files
-	rm -f debian/dahdi-dkms.install
-	rm -f debian/dkms.conf
 	rm -f $(GENERATED_SOURCES)
 	rm -f dahdi/include/version.h
 	[ ! -f Makefile ] || $(MAKE) dist-clean || true
@@ -140,6 +117,7 @@
 	@@cd $(TARBALL_DIR) ; \
 	tar xfz ../$(UPFILENAME)
 	@@rm -rf $(TARBALL_DIR)/$(PACKAGE_SRC)-$(UPVERSION)/drivers/dahdi/xpp/firmwares/*.hex
+	@@rm -f $(TARBALL_DIR)/$(PACKAGE_SRC)-$(UPVERSION)/drivers/dahdi/*.rbt
 	@@cd $(TARBALL_DIR) ; \
 	tar cfz ../$(FILENAME) *
 	@@echo Cleaning up...
