=== debian/changelog ===
dahdi-linux (1:2.7.0.1~dfsg-1) unstable; urgency=low

  * New upstream release
    - Fixes "doorphone device ignored" (Closes: #687970)
  * Update Vcs-Browser - fix vcs-field-bitrotted

 -- Mark Purcell <msp@debian.org>  Sat, 28 Sep 2013 13:16:06 +1000

dahdi-linux (1:2.7.0+dfsg-1) unstable; urgency=low

  [ Tzafrir Cohen ] 
  * New upstream release:
    - Patch fix_define_dev dropped: merged upstream.
    - Patch fix_xpp_usermode dropped: merged upstream.
    - Patch fix_xpp_post_unregister dropped: merged upstream.

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jun 2013 16:49:06 +1000
