=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>=  7.0.50~), bzip2, asciidoc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-linux/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/dahdi-linux/
 
 Package: dahdi-linux
 Architecture: all
