## dahdi-linux 2.10.0.1~dfsg

=== debian/changelog ===
dahdi-linux (1:2.10.0.1~dfsg-1) unstable; urgency=low

  * New upstream release
  * Fix VCS link.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 26 Oct 2014 13:46:19 +0200

dahdi-linux (1:2.10.0~dfsg-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #753660):
    - Patch dahdi_linux_extra updated to the 2.9.2 branch.
  * Use hotplug support:
    - patch hotplug_mod_params: change default of module parameters.
  * Multiarch support. 
  * udev rules moved to package dahdi (in source package dahdi-tools).
  * Add a test for non-free files in case uscan was used.
  * Remove unused variables from control file.

  [ Mark Purcell ]
  * Update debian/watch for ~dfsg

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 19 Aug 2014 08:48:32 +0300
