=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper (>=  7.0.50~), bzip2, asciidoc
 Standards-Version: 3.9.4
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-linux/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/dahdi-linux/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/dahdi-linux/
 
 Package: dahdi-linux
 Architecture: all
+Multi-Arch: foreign
 # Xorcom packages depend on dahdi-firmware. Debian zaptel will probably 
 # just recommend it.
-Depends: ${shlibs:Depends}, ${misc:Depends}, procps, fxload
+Depends: ${misc:Depends}, procps, fxload
 Replaces: zaptel
 Conflicts: zaptel
 Description: DAHDI telephony interface - Linux userspace parts
@@ -25,6 +26,7 @@
  configuration, xpp initialization scripts.
 
 Package: dahdi-source
+Multi-Arch: foreign
 Section: kernel
 Architecture: all
 Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
