=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,12 @@
 
 ## END OF M-A SECTION
 
+# FIXME: this should be done by Files-Exclude in debian/copyright:
 override_dh_auto_build:
+ifneq ($(wildcard drivers/dahdi/xpp/firmwares/USB_FW.hex),)
+	@echo "Tarball is not DFSG-compliant. Use './debian/rules get-orig-source'"
+	exit 1
+endif
 	$(MAKE) docs
 	$(MAKE) $(GENERATED_SOURCES)
